com.threerings.parlor.client

## Interface GameReadyObserver

    public interface GameReadyObserver

Used to inform interested parties when the `ParlorDirector` receives a game ready notification. The observers can ratify the decision to head directly into the game or can take responsibility themselves for doing so.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `receivedGameReady(int gameOid)` Called when a game ready notification is received.

### Method Detail

#### receivedGameReady

    boolean receivedGameReady(int gameOid)

Called when a game ready notification is received.

Parameters:
  `gameOid` - the place oid of the ready game.
Returns:
  if the observer returns true from this method, the parlor director assumes they will take care of entering the game room after performing processing of their own. If all observers return false, the director will enter the game room automatically.